Subject: bug#56250: File systems not cleanly unmounted?

From: angry rectangle <[email-masked]>
Date: Mon, 27 Jun 2022 12:05:13 -0400

Ludovic Courtès <[email-masked]> writes:

> Hi!
>
> I don’t reboot my laptop very often but over the last couple of months
> maybe, I’ve had the impression that I see the “not cleanly unmounted”
> message from fsck.ext4 during boot almost every time.
>
> Someone on IRC just reported seeing the same kind of message for
> /boot/efi (VFAT) and I’ve seen it on a recently-installed machine,
> though I didn’t investigate.
>
> It’s benign but it suggests that file systems are not being properly
> unmounted upon shutdown.
>
> Anyone else seeing that?  Ideas as to what might be wrong?
>
> Thanks,
> Ludo’.

Hi.
I have this problem too. I posted a bug report a few days ago.
bug#56209 https://lists.gnu.org/archive/html/bug-guix/2022-06/msg00291.html
All I know is that it was introduced with Shepherd 0.9.

It's good to hear that it's harmless though.